﻿using System.Collections.Generic;
using System.Reflection;

namespace TestProject
{
    /// <summary>
    /// 속성 정보 비교자
    /// </summary>
    public class PropertyInfoComparer : IComparer<PropertyInfo>
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 비교하기 - Compare(source1, source2)

        /// <summary>
        /// 비교하기
        /// </summary>
        /// <param name="source1">소스 속성 정보 1</param>
        /// <param name="source2">소스 속성 정보 2</param>
        /// <returns>처리 결과</returns>
        public int Compare(PropertyInfo source1, PropertyInfo source2)
        {
            return string.Compare(source1.Name, source2.Name);
        }

        #endregion
    }
}